## Function `substring( str, startIndex, endIndex )`

Description:
  Returns a substring of a given string. The substring begins with the character at `startIndex` and continues to the character at index `endIndex-1` Thus the length of the substring is `endIndex-startIndex`.

Parameters:
  `str` (String)
    the input string
  `startIndex` (integer)
    the beginning index, inclusive
  `endIndex` (integer)
    the end index, inclusive

Return Value (String):
  substring of `str`

Example:
  `substring("Galaxy", 2, 5) = "lax"`

Signature:
  `String substring(String, int, int)`